package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.WyFeedback;

/**
 * 意见反馈Service接口
 * 
 * @author ruoyi
 * @date 2025-02-19
 */
public interface IWyFeedbackService 
{
    /**
     * 查询意见反馈
     * 
     * @param id 意见反馈主键
     * @return 意见反馈
     */
    public WyFeedback selectWyFeedbackById(Long id);

    /**
     * 查询意见反馈列表
     * 
     * @param wyFeedback 意见反馈
     * @return 意见反馈集合
     */
    public List<WyFeedback> selectWyFeedbackList(WyFeedback wyFeedback);

    /**
     * 新增意见反馈
     * 
     * @param wyFeedback 意见反馈
     * @return 结果
     */
    public int insertWyFeedback(WyFeedback wyFeedback);

    /**
     * 修改意见反馈
     * 
     * @param wyFeedback 意见反馈
     * @return 结果
     */
    public int updateWyFeedback(WyFeedback wyFeedback);

    /**
     * 批量删除意见反馈
     * 
     * @param ids 需要删除的意见反馈主键集合
     * @return 结果
     */
    public int deleteWyFeedbackByIds(Long[] ids);

    /**
     * 删除意见反馈信息
     * 
     * @param id 意见反馈主键
     * @return 结果
     */
    public int deleteWyFeedbackById(Long id);
}
